> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Offramp Status (by Reference ID)

> This endpoint will return the status of the withdrawal request.

Get the status of an offramp transaction using the reference ID. Alternative endpoint to the main status endpoint.


## OpenAPI

````yaml GET /api/v3/offramp/{referenceId}
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/offramp/{referenceId}:
    get:
      tags:
        - OFFRAMP
      summary: Get Offramp MobileMoney Status
      description: This endpoint will return the status of the withdrawal request.
      operationId: OffRampController_getOfframpStatus_api/v3
      parameters:
        - name: referenceId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Offramp status retrieved
                  data:
                    $ref: '#/components/schemas/OfframpResponseDto'
                    type: object
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Reference Id not found
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    OfframpResponseDto:
      type: object
      properties:
        referenceId:
          type: string
          description: Reference ID
        fiatAmount:
          type: number
          description: Fiat amount
        fiatTransactionAmount:
          type: number
          description: Fiat transaction amount
        cryptoAmount:
          type: number
          description: Crypto amount
        fiatCurrency:
          description: Fiat currency
          allOf:
            - $ref: '#/components/schemas/CURRENCY'
        customerKey:
          type: string
          description: Customer key
        fiatWalletId:
          type: string
          description: Fiat wallet ID
        senderAddress:
          type: string
          description: Sender address
        transactionHash:
          type: string
          description: Transaction hash
        transactionHashAmount:
          type: number
          description: Transaction hash amount
        status:
          type: string
          description: Status
        onchainStatus:
          type: string
          description: Onchain status
        rate:
          type: object
          description: Rate
        escrowAddress:
          type: string
          description: Escrow address
        usingIntegratedWallet:
          type: boolean
          description: Whether using integrated crypto wallet flow
        created_at:
          format: date-time
          type: string
          description: Creation timestamp
        updated_at:
          format: date-time
          type: string
          description: Last update timestamp
        onchainError:
          type: object
          description: Onchain error details if the transaction failed
        transactionError:
          type: object
          description: Transaction error details if the transaction failed
      required:
        - referenceId
        - fiatAmount
        - fiatTransactionAmount
        - cryptoAmount
        - fiatCurrency
        - customerKey
        - fiatWalletId
        - senderAddress
        - transactionHash
        - transactionHashAmount
        - status
        - onchainStatus
        - rate
        - escrowAddress
    CURRENCY:
      type: string
      enum:
        - KES
        - GHS
        - TZS
        - UGX
        - ZMW
        - XAF
        - XOF
        - CDF
        - RWF
        - ETB
        - ZAR
      description: Currency
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````